Bug 14872 - Samba CI should test on Debian 11
Summary: Samba CI should test on Debian 11
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build (show other bugs)
Version: 4.15.0
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-18 16:26 UTC by Andrew Bartlett
Modified: 2021-11-10 18:03 UTC (History)
2 users (show)

See Also:


Attachments
Patch for v4-15-test (13.86 KB, patch)
2021-10-19 10:27 UTC, Martin Schwenke
abartlet: review+
abartlet: ci-passed+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2021-10-18 16:26:42 UTC
Bug for backport of Debian 11 bootstrap changes.

I think it will be useful to test Samba 4.15 on Debian 11 also.
Comment 1 Samba QA Contact 2021-10-18 17:20:04 UTC
This bug was referenced in samba master:

c901adaa0d4526deff550806e49976d686122674
Comment 2 Martin Schwenke 2021-10-18 23:55:15 UTC
Andrew, let's hold off on the backport for a day or 2.  When I copied the Debian 10 setup, I didn't check whether liburing-dev is available in Debian 11.  It is, so I'll add a patch on top, test it out and open a new MR...
Comment 3 Andrew Bartlett 2021-10-19 00:23:08 UTC
No worries, there isn't a rush just keen to be good and open bugs for things before they got into master rather than only for a possible backport.
Comment 4 Samba QA Contact 2021-10-19 09:15:04 UTC
This bug was referenced in samba master:

04f188f4d573f0138b75f26d1c18d98329a3446e
Comment 5 Martin Schwenke 2021-10-19 10:27:39 UTC
Created attachment 16854 [details]
Patch for v4-15-test

Commits from master cherry-pick with conflicts into v4-15-test, so marked as backport.  After fixing conflicts and re-generating the hash, re-rendering causes no changes, so I must have got it right...
Comment 6 Martin Schwenke 2021-10-19 10:28:51 UTC
Have not bothered with v4-14-test.  It doesn't have Fedora 34, so I don't suppose we backport to all existing releases?
Comment 7 Andrew Bartlett 2021-10-24 07:24:56 UTC
Just a note that a backport isn't a trivial as I had hoped, the oss-fuzz changes would need to be backported or we would need to re-generate the container images (it creates a different hash).

So lets close this for now and someone can re-open if they have time to sort that out. 

In general I'm keep to keep the bootstrap stuff as a linear series going forward, to avoid having a lot of different image sets. 

Sorry!
Comment 8 Andrew Bartlett 2021-10-24 07:26:29 UTC
(In reply to Andrew Bartlett from comment #7)
Never mind, sorry I didn't actually read your updated comment.
Comment 9 Andrew Bartlett 2021-10-24 07:31:33 UTC
Comment on attachment 16854 [details]
Patch for v4-15-test

Argh, sorry for the flip-flop.  With the new hash the new container images need to be generated, otherwise we can't do CI on 4.15 in GitLab.

The images used are based on that hash (this is how we tie container images back to the code). 

Push a pipeline with the magic options and they will appear.
Comment 10 Andrew Bartlett 2021-10-24 07:33:23 UTC
(or backport the oss-fuzz fixes also, so we get to the same hash as master)

Either way, you need to run a CI job with 4.15 in GitLab with this backported to show it works, as an sn-devel build won't be any validation of this change.  

Point to the successful pipeline here as proof and I can put my review back on the possibly updated patch.
Comment 11 Martin Schwenke 2021-10-24 22:33:23 UTC
Hi Andrew,

Successful CI pipeline here:

  https://gitlab.com/samba-team/devel/samba/-/pipelines/394312460

Thanks!
Comment 12 Andrew Bartlett 2021-10-25 19:53:08 UTC
Comment on attachment 16854 [details]
Patch for v4-15-test

Looks good, sha1 matches between the CI and the final patch, so good to go!
Comment 13 Andrew Bartlett 2021-10-25 19:53:42 UTC
Assigning to Jule for next available 4.15.next (not urgent, just helpful).
Comment 14 Jule Anger 2021-11-10 14:25:07 UTC
Pushed to autobuild-v4-15-test.
Comment 15 Samba QA Contact 2021-11-10 17:08:57 UTC
This bug was referenced in samba v4-15-test:

6ea70022f20b6c03b58cacf628bba1cebedbcf9f
71792ae9886c5605e4207337b12f032e33ee9bc5
Comment 16 Jule Anger 2021-11-10 18:03:36 UTC
Closing out bug report.

Thanks!